apt 3.2.0 commandline package manager

Public Member Functions | Public Attributes | List of all members
Compressor Struct Reference

Representation of supported compressors. More...

`#include <apt-pkg/aptconfiguration.h>`

## Public Member Functions
| Compressor (char const *name, char const *extension, char const *binary, char const *compressArg, char const *uncompressArg, unsigned short const cost)

## Public Attributes
std::string | Name
std::string | Extension
std::string | Binary
std::vector< std::string > | CompressArgs
std::vector< std::string > | UncompressArgs
unsigned short | Cost

## Detailed Description

Representation of supported compressors.

The documentation for this struct was generated from the following files:

- apt-pkg/aptconfiguration.h
- apt-pkg/aptconfiguration.cc